Subject: Re: [iwl-net v1 2/2] igb: Fix missing time sync events

From: Vinicius Costa Gomes <[email-masked]>
Date: Tue, 20 Feb 2024 09:30:33 -0800

Richard Cochran <[email-masked]> writes:

> On Sat, Feb 17, 2024 at 07:05:07AM -0800, Richard Cochran wrote:
>
>> Does setting ICR.Time_Sync[TXTS] also clear ICR.Time_Sync[RXTS] ?
>> 
>> That is what you seem to be saying.
>
> Okay, so you really mean that if the _same_ bit becomes set between
> the read and the acknowledgment, then that event will be missed,
> right?
>

Yeah, I will reword the commit messages so it's clearer that it's the
same bit.

> In that case, thank you for fixing this more than nine year old bug!
>
> Acked-by: Richard Cochran <[email-masked]>
>
>  

Thank you,
-- 
Vinicius